# RegistrationApp for Django: Register users, with e-mail verification and CAPTCHA.
#
# Copyright (C) 2008  Juergen Brendel
#
# Dual licensed under AGPL and BSD license.

# This is a brain dead little logger. It exports the 'logger' symbol,
# so, whoever imports * from this one here, will be able to do things
# like "logger.debug('Some message...')".
#
# No, it doesn't use Python logging yet, which is quite lame. Feel free
# to replace that whenever you feel like it.

from reg_settings import *
from datetime import datetime

DEBUG = "DEBUG"
INFO  = "INFO"
ERROR = "ERROR"

class MyLogger(object):
    def __init__(self, filename):
        #self.file = open(filename, "a+")
        pass

    def __generic_log(self, level, message):
        buf = "%s: %s - %s" % (datetime.now().isoformat(), level, message)
        print "@@@@@@ ", buf

    def debug(self, message):
        self.__generic_log(DEBUG, message)

    def info(self, message):
        self.__generic_log(INFO, message)

    def error(self, message):
        self.__generic_log(ERROR, message)

logger = MyLogger(None)


